
class Array

  # Boolean conversion for not empty?
  def to_b
    ! self.empty?
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCArray < Test::Unit::TestCase

    def test_to_b
      a = []
      assert_equal( false, a.to_b )
    end

  end

=end
